# 81. Fråga: Hämta GeoJSON för "EquationMap"

Hämta GeoJSON för "EquationMaps" filtrerat efter `equationMapUuids`.

Attributet `equationMapGeojson` innehåller GeoJSON med `Polygons` eller `MultyPolygons` inklusive geospatiala funktionsattribut som `id`, `value` och `area` i de definierade enheterna.

Viktiga detaljer:

* Parameter `asMultiGeometry: true` innebär att `Polygons` ("Equation Map" celler) kommer att slås samman till `MultiPolygons` baserat på `value` attributet för varje "Equation Map" cell.
* Utdataområdet kan konfigureras med hjälp av `unit` parametern. Tillgängliga alternativ: `ACRES`,  `HECTARES`, `SQUARE_METERS`

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapGeometries {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        equationMapGeojson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}

Om geometrier inte begärs (endast attribut behövs), så finns det `attributesJson` istället för `equationMapGeojson` att använda.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetEquationMapAttributes {
  getFields (filter: {fieldUuid: "<placeholder_of_farm_uuid>"}) {
    fields {
      equationMaps(equationMapUuids: ["<placeholder_of_equationmap_uuid>"]) {
        attributesJson(unit: HECTARES, asMultiGeometry: true)        
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/oversikt-over-geopard-api-anrop/81.-fraga-hamta-geojson-for-equationmap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
